# Uses of Interface
org.eclipse.birt.report.engine.content.IAutoTextContent

Packages that use IAutoTextContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IAutoTextContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IAutoTextContent
Modifier and Type
Method
Description
`IAutoTextContent`
IReportContent.`createAutoTextContent()`
create the auto text content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IAutoTextContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitAutoText(IAutoTextContent autoText, Object value)`

## Uses of IAutoTextContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IAutoTextContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startAutoText(IAutoTextContent autoText)`
Start auto text